using System.ComponentModel.DataAnnotations;

namespace Props.Shared.Models
{
    public class ApplicationPreferences
    {
        public int Id { get; set; }

        [Required]
        public string ApplicationUserId { get; set; }

        public bool DarkMode { get; set; }

        public bool CacheCommonSearches { get; set; } = true;

        public bool EnableSearchHistory { get; set; } = true;
    }
}